Bug 499025 - pki-tps and pki-ra startup script needs to loop on pid file availability
pki-tps and pki-ra startup script needs to loop on pid file availability
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Execution Management (start/stop/restart) (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-05-04 16:35 EDT by Chandrasekar Kannan
Modified: 2015-01-04 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RA and TPS start/stop scripts (1.11 KB, patch)
2009-05-12 12:48 EDT, Matthew Harmsen
no flags Details | Diff
RA and TPS start/stop scripts (spec files) (1.89 KB, patch)
2009-05-12 12:48 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Chandrasekar Kannan 2009-05-04 16:35:15 EDT
[root@zeta logs]# service pki-tps restart
Stopping pki-tps:                                          [  OK  ]
Starting pki-tps:                                          [  OK  ]

pki-tps is stopped


Currently if the pid file is not available, you will see pki-tps is stopped. 
but the pid file does become available a few seconds later.

1 - as a temporary fix, add more sleep
2 - as a long-term fix, see if we can loop (for a while like 60 seconds) to see
    if the pid becomes available. if not time out and print error.
Comment 1 Matthew Harmsen 2009-05-12 12:48:12 EDT
Created attachment 343627 [details]
RA and TPS start/stop scripts
Comment 2 Matthew Harmsen 2009-05-12 12:48:41 EDT
Created attachment 343628 [details]
RA and TPS start/stop scripts (spec files)
Comment 3 Andrew Wnuk 2009-05-12 12:51:29 EDT
attachment (id=343627)
attachment (id=343628)
+awnuk
Comment 4 Matthew Harmsen 2009-05-12 12:54:53 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ra/etc/init.d/httpd
M      tps/etc/init.d/httpd

% svn commit
Sending        base/ra/etc/init.d/httpd
Sending        base/tps/etc/init.d/httpd
Transmitting file data ..
Committed revision 442.


cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ra/pki-ra.spec
M      tps/pki-tps.spec

% svn commit
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ..
Committed revision 443.

Note You need to log in before you can comment on or make changes to this bug.